Creates a directory

- « ftp_mdtm

- ftp_mlsd »

- PHP Manual
- FTP Functions
- Creates a directory

# ftp_mkdir

(PHP 4, PHP 5, PHP 7, PHP 8)

ftp_mkdir — Creates a directory

### Description

ftp_mkdir(FTP\Connection `$ftp`, string `$directory`): string|false

Creates the specified `directory` on the FTP server.

### Parameters

`ftp`

  An FTP\Connection instance.

`directory`

  The name of the directory that will be created.

### Return Values

Returns the newly created directory name on success or `false` on error.

### Errors/Exceptions

Emits an `E_WARNING` level error if the directory already exists or the relevant permissions prevent creating the directory.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ftp` parameter expects an FTP\Connection instance now; previously, a resource was expected.

### Examples

Example #1 ftp_mkdir() example

    <?php

    $dir = 'www';

    // set up basic connection
    $ftp = ftp_connect($ftp_server);

    // login with username and password
    $login_result = ftp_login($ftp, $ftp_user_name, $ftp_user_pass);

    // try to create the directory $dir
    if (ftp_mkdir($ftp, $dir)) {
     echo "successfully created $dir\n";
    } else {
     echo "There was a problem while creating $dir\n";
    }

    // close the connection
    ftp_close($ftp);
    ?>

### See Also

- ftp_rmdir() - Removes a directory